Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Install Ettercap 0.7.6 on Kali

  1. #1
    Junior Member
    Join Date
    Mar 2013
    Posts
    12

    Install Ettercap 0.7.6 on Kali

    Hi , Below is easy tut about how to install last Ettercap on Kali .

    first install all Dependency :

    Code:
    apt-get install python-gtk2-dev libnet1-dev cmake flex libpcap0.8-dev libncurses5-dev
    now download ettercap with git .

    Code:
    git clone https://github.com/Ettercap/ettercap.git
    now cmake it with cmake <ettercap folder path> ( cmake ~/Desktop/ettercap )

    it shoud cmake it without error , and now make after make end now make install

    i hope worked for all .

  2. #2
    Super Moderator
    Join Date
    Mar 2013
    Posts
    65
    Quote Originally Posted by Mehran View Post
    Hi , Below is easy tut about how to install last Ettercap on Kali .

    first install all Dependency :

    Code:
    apt-get install python-gtk2-dev libnet1-dev cmake flex libpcap0.8-dev libncurses5-dev
    now download ettercap with git .

    Code:
    git clone https://github.com/Ettercap/ettercap.git
    now cmake it with cmake <ettercap folder path> ( cmake ~/Desktop/ettercap )

    it shoud cmake it without error , and now make after make end now make install

    i hope worked for all .
    Please submit a bug report requesting this tool upgrade so we can package and release properly for Kali.

    Visit http://bugs.kali.org, click report issue and select "Tool Upgrade" from the drop down menu

    Thanks,
    Eric

  3. #3
    Junior Member
    Join Date
    Mar 2013
    Posts
    12
    Yes i did it but i dont know why it deleted by muts ..

  4. #4
    Junior Member
    Join Date
    Mar 2013
    Posts
    12
    Here is message about my report deleted .
    Quote Originally Posted by Mehran View Post
    The following issue has been DELETED.
    ================================================== ====================
    Reported By: Mehran
    Assigned To:
    ================================================== ====================
    Project: Kali Linux
    Issue ID: 207
    Category: Tool Upgrade
    Reproducibility: have not tried
    Severity: minor
    Priority: normal
    Status: new
    ================================================== ====================
    Date Submitted: 2013-03-28 01:56 EDT
    Last Modified: 2013-03-28 01:56 EDT
    ================================================== ====================
    Summary: Ettercap
    Description:
    add ettercap on Bleeding Edge or update to new version .
    ================================================== ====================

    Issue History
    Date Modified Username Field Change
    ================================================== ====================
    2013-03-28 01:56 Mehran New Issue
    2013-03-28 04:07 muts Issue Deleted: 0000207
    ================================================== ====================

  5. #5
    Super Moderator
    Join Date
    Mar 2013
    Posts
    65
    Mehran,

    I will check with muts. I can tell you by looking at the report you posted, it is severely lacking. It is important to be very precise in what you are asking.

    Please read this link with regards to submitting to bugs.kali.org:
    http://docs.kali.org/troubleshooting...li-bug-tracker

    Please pay close attention to the bullets at the beginning and state exactly what you are requesting.

  6. #6
    i'm so sorry but i'm a begginner
    so what the mean

    "now cmake it with cmake <ettercap folder path> ( cmake ~/Desktop/ettercap )

    it shoud cmake it without error , and now make after make end now make install

    i hope worked for all . "

    thank and nice share

    after I finish updating
    i have a problem, like
    ss.jpg
    what is wrong? please help
    thanks
    Last edited by g0tmi1k; 04-29-2013 at 01:21 PM. Reason: MERGED

  7. #7
    Member
    Join Date
    Apr 2013
    Location
    NC USA
    Posts
    59
    These are the steps i took. Step by step;

    apt-get install debhelper cmake bison flex libgtk2.0-dev libltdl3-dev libncurses-dev libncurses5-dev libnet1-dev libpcap-dev libpcre3-dev libssl-dev ghostscript python-gtk2-dev libpcap0.8-dev
    git clone https://github.com/Ettercap/ettercap.git
    cd ettercap
    mkdir build
    cd build
    cmake ../
    make
    make install
    cd ../../
    rm -rf ettercap/

    Just giving it one step at a time.

    regards,
    Reaperz73

    Quote Originally Posted by fucking_hero View Post
    i'm so sorry but i'm a begginner
    so what the mean

    "now cmake it with cmake <ettercap folder path> ( cmake ~/Desktop/ettercap )

    it shoud cmake it without error , and now make after make end now make install

    i hope worked for all . "

    thank and nice share

    after I finish updating
    i have a problem, like
    ss.jpg
    what is wrong? please help
    thanks

    ettercap

    Created Monday 29 April 2013

    For the first part of your question do this
    edit your etter.conf

    Code:
       [privs]
    ec_uid = 65534 # nobody is the default
    ec_gid = 65534 # nobody is the default
    to
    Code:
     
    
       [privs]
    ec_uid = 0 # nobody is the default
    ec_gid = 0 # nobody is the default

    and near the end of etter.conf you see:
    Code:
     
    
       # if you use iptables:
    #redir_command_on = "iptables -t nat -A PREROUTING -i %iface -p tcp --dport %port -j REDIRECT %rport"
    #redir_command_off = "iptables -t nat -D PREROUTING -i %iface -p tcp --dport %port -j REDIRECT %rport"
    change it tothis
    Code:
     
    
       # if you use iptables:
    redir_command_on = "iptables -t nat -A PREROUTING -i %iface -p tcp --dport %port -j REDIRECT %rport"
    redir_command_off = "iptables -t nat -D PREROUTING -i %iface -p tcp --dport %port -j REDIRECT %rport"
    for the second error edit your etter.dns the one provided is only an outdated example you have to create your own etter.dns for what you want to do.
    Last edited by g0tmi1k; 04-30-2013 at 08:20 AM. Reason: MERGED

  8. #8
    Member
    Join Date
    Apr 2013
    Posts
    32
    Do I need to delete the old ettercap?

    I have followed your every steps. However, since it has been installed, yamas and subterfuge seems to work badly... Do you have an explanation for this? (maybe SSLstrip has been perturbated by the python install...)

    Thanks for your help
    Last edited by sickness; 04-30-2013 at 09:47 PM.

  9. #9
    Member
    Join Date
    Apr 2013
    Location
    NC USA
    Posts
    59
    Quote Originally Posted by xxyxxyxx View Post
    Do I need to delete the old ettercap?

    I have followed your every steps. However, since it has been installed, yamas and subterfuge seems to work badly... Do you have an explanation for this? (maybe SSLstrip has been perturbated by the python install...)

    Thanks for your help
    Just warming to all. Yes this may break packages. It is not a part of the repos. So until or if it gets added it is at own risk and may not function correctly.
    It has worked for me but you know how it goes, mileage may vary.

  10. #10
    Junior Member
    Join Date
    May 2013
    Posts
    2
    How do i delete this ettercap and get the old back then?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •